OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_Root Class Reference

This class implements the common services for
all classes of TopoDSToStep which report error.
.

`#include <TopoDSToStep_Root.hxx>`

Inheritance diagram for TopoDSToStep_Root:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT Standard_Real & | Tolerance ()
| Returns (modifiable) the tolerance to be used for writing If not set, starts at 0.0001 .
Standard_EXPORT Standard_Boolean | IsDone () const
## Protected Member Functions
Standard_EXPORT | TopoDSToStep_Root ()
## Protected Attributes
Standard_Real | toler
Standard_Boolean | done

## Constructor & Destructor Documentation

Standard_EXPORT TopoDSToStep_Root::TopoDSToStep_Root | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TopoDSToStep_Root::IsDone | ( |  | ) | const

void TopoDSToStep_Root::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in TopoDSToStep_Builder, TopoDSToStep_MakeBrepWithVoids, TopoDSToStep_MakeFacetedBrep, TopoDSToStep_MakeFacetedBrepAndBrepWithVoids, TopoDSToStep_MakeGeometricCurveSet, TopoDSToStep_MakeManifoldSolidBrep, TopoDSToStep_MakeShellBasedSurfaceModel, TopoDSToStep_MakeStepEdge, TopoDSToStep_MakeStepFace, TopoDSToStep_MakeStepVertex, TopoDSToStep_MakeStepWire, and TopoDSToStep_WireframeBuilder.

void* TopoDSToStep_Root::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in TopoDSToStep_Builder, TopoDSToStep_MakeBrepWithVoids, TopoDSToStep_MakeFacetedBrep, TopoDSToStep_MakeFacetedBrepAndBrepWithVoids, TopoDSToStep_MakeGeometricCurveSet, TopoDSToStep_MakeManifoldSolidBrep, TopoDSToStep_MakeShellBasedSurfaceModel, TopoDSToStep_MakeStepEdge, TopoDSToStep_MakeStepFace, TopoDSToStep_MakeStepVertex, TopoDSToStep_MakeStepWire, and TopoDSToStep_WireframeBuilder.

void* TopoDSToStep_Root::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in TopoDSToStep_Builder, TopoDSToStep_MakeBrepWithVoids, TopoDSToStep_MakeFacetedBrep, TopoDSToStep_MakeFacetedBrepAndBrepWithVoids, TopoDSToStep_MakeGeometricCurveSet, TopoDSToStep_MakeManifoldSolidBrep, TopoDSToStep_MakeShellBasedSurfaceModel, TopoDSToStep_MakeStepEdge, TopoDSToStep_MakeStepFace, TopoDSToStep_MakeStepVertex, TopoDSToStep_MakeStepWire, and TopoDSToStep_WireframeBuilder.

Standard_EXPORT Standard_Real& TopoDSToStep_Root::Tolerance | ( |  | ) |

## Field Documentation

Standard_Boolean TopoDSToStep_Root::done`[protected]`

Standard_Real TopoDSToStep_Root::toler`[protected]`

The documentation for this class was generated from the following file:

- TopoDSToStep_Root.hxx